# -*- Mode: Python -*-
# vi:si:et:sw=4:sts=4:ts=4
#
# Copyright (C) 2005 Michele Baldessari <michele@pupazzo.org>

import unittest
import silc
import silc.client
import os, traceback

class SilcClientTest(unittest.TestCase):
    def testnew(self):
        try:
            s = silc.client.Client()
        except:
            print traceback.print_exc()
            assert False

        s.realname = "foobar"
        self.assertEqual(s.realname, "foobar")
        
    def testdestroy(self):
        try:
            s = silc.client.Client()
            del s
        except:
            print traceback.print_exc()
            assert False

    def testcreatekeys(self):
        try:
            s = silc.client.Client()
        except:
            print traceback.print_exc()
            assert False
        try:
            os.unlink("test.pub")
            os.unlink("test.prv")
        except:
            pass
        try:
            s.createkeys("test.pub", "test.prv", "foobarness")
        except:
            print traceback.print_exc()
            assert False

    def testloadkeys(self):
        try:
            s = silc.client.Client()
        except:
            print traceback.print_exc()
            assert False
        try:
            os.unlink("test.pub")
            os.unlink("test.prv")
        except:
            pass

        try:
            s.createkeys("test.pub", "test.prv", "pippo")
        except:
            print traceback.print_exc()
            assert False
        try:
            s.loadkeys("test.pub", "test.prv", "pippo")
        except:
            print traceback.print_exc()
            assert False

if __name__ == '__main__':
    unittest.main()
